% STEADY STATE VARIABLES FOR EACH HEAT EXCHANGER
% IN THE 6:1 HEN

function [x0] = ssvar(HXindex,N)

    if HXindex == 1
        
                x0 = [189.4271
                      188.8561
                      188.2871
                      187.7201
                      187.1549
                      186.5917
                      186.0305
                      185.4711
                      184.9137
                      184.3582
                      158.4909
                      158.9577
                      159.4261
                      159.8961
                      160.3677
                      160.8409
                      161.3158
                      161.7923
                      162.2704
                      162.7502
                      130.0368
                      130.4060
                      130.7765
                      131.1482
                      131.5212
                      131.8955
                      132.2711
                      132.6479
                      133.0261
                      133.4055];
              
    elseif HXindex == 2
        
                x0 = [201.5136
                      200.0480
                      198.6031
                      197.1783
                      195.7736
                      194.3886
                      193.0230
                      191.6766
                      190.3491
                      189.0402
                      162.3173
                      163.2459
                      164.1878
                      165.1431
                      166.1119
                      167.0945
                      168.0912
                      169.1020
                      170.1271
                      171.1669
                      133.4566
                      133.9745
                      134.4999
                      135.0327
                      135.5730
                      136.1211
                      136.6770
                      137.2407
                      137.8125
                      138.3925];

        
        
  
    elseif HXindex == 3
        
                x0 = [215.0666
                      210.3961
                      205.9744
                      201.7884
                      197.8254
                      194.0736
                      190.5217
                      187.1591
                      183.9757
                      180.9619
                      160.5241
                      162.3875
                      164.3558
                      166.4349
                      168.6310
                      170.9508
                      173.4011
                      175.9893
                      178.7232
                      181.6110
                      138.4513
                      139.0723
                      139.7283
                      140.4212
                      141.1531
                      141.9262
                      142.7428
                      143.6054
                      144.5165
                      145.4789];

                  
     elseif HXindex == 4
        
                x0 = [231.2098
                      227.5417
                      223.9918
                      220.5563
                      217.2314
                      214.0136
                      210.8995
                      207.8857
                      204.9690
                      202.1462
                      174.8146
                      176.7276
                      178.7043
                      180.7467
                      182.8572
                      185.0379
                      187.2912
                      189.6195
                      192.0253
                      194.5111
                      145.5698
                      146.5094
                      147.4802
                      148.4833
                      149.5198
                      150.5909
                      151.6975
                      152.8410
                      154.0226
                      155.2435];
                  
                  
    elseif HXindex == 5
        
                x0 = [238.2897
                      236.5973
                      234.9227
                      233.2655
                      231.6257
                      230.0031
                      228.3974
                      226.8085
                      225.2363
                      223.6805
                      191.1307
                      192.3423
                      193.5668
                      194.8042
                      196.0547
                      197.3184
                      198.5954
                      199.8860
                      201.1902
                      202.5082
                      155.3259
                      156.1590
                      157.0009
                      157.8516
                      158.7114
                      159.5802
                      160.4583
                      161.3456
                      162.2423
                      163.1485];
                  
    elseif HXindex == 6
        
                x0 = [243.3016
                      241.6237
                      239.9663
                      238.3289
                      236.7115
                      235.1137
                      233.5353
                      231.9760
                      230.4357
                      228.9141
                      197.6308
                      198.7678
                      199.9189
                      201.0841
                      202.2636
                      203.4577
                      204.6664
                      205.8899
                      207.1285
                      208.3824
                      163.2190
                      163.9331
                      164.6560
                      165.3878
                      166.1286
                      166.8784
                      167.6375
                      168.4060
                      169.1838
                      169.9713];
                  
    elseif HXindex == 7

                x0 = [223.0233
                      220.9773
                      218.8595
                      216.6675
                      214.3987
                      212.0504
                      209.6198
                      207.1039
                      204.4999
                      201.8046
                      168.0086
                      171.8484
                      175.5582
                      179.1424
                      182.6052
                      185.9507
                      189.1829
                      192.3057
                      195.3227
                      198.2375
                      130.5288
                      135.6380
                      140.5741
                      145.3430
                      149.9505
                      154.4019
                      158.7025
                      162.8575
                      166.8718
                      170.7502];
        
        
    end
    